// soc_system.v

// Generated using ACDS version 16.1 196

`timescale 1 ps / 1 ps
module soc_system (
		input  wire [3:0]  buttons_0_external_connection_export,  //  buttons_0_external_connection.export
		input  wire        clk_clk,                               //                            clk.clk
		output wire [6:0]  hex_0_external_connection_export,      //      hex_0_external_connection.export
		output wire [6:0]  hex_1_external_connection_export,      //      hex_1_external_connection.export
		output wire [6:0]  hex_2_external_connection_export,      //      hex_2_external_connection.export
		output wire [6:0]  hex_3_external_connection_export,      //      hex_3_external_connection.export
		output wire [6:0]  hex_4_external_connection_export,      //      hex_4_external_connection.export
		output wire [6:0]  hex_5_external_connection_export,      //      hex_5_external_connection.export
		output wire [14:0] hps_0_ddr_mem_a,                       //                      hps_0_ddr.mem_a
		output wire [2:0]  hps_0_ddr_mem_ba,                      //                               .mem_ba
		output wire        hps_0_ddr_mem_ck,                      //                               .mem_ck
		output wire        hps_0_ddr_mem_ck_n,                    //                               .mem_ck_n
		output wire        hps_0_ddr_mem_cke,                     //                               .mem_cke
		output wire        hps_0_ddr_mem_cs_n,                    //                               .mem_cs_n
		output wire        hps_0_ddr_mem_ras_n,                   //                               .mem_ras_n
		output wire        hps_0_ddr_mem_cas_n,                   //                               .mem_cas_n
		output wire        hps_0_ddr_mem_we_n,                    //                               .mem_we_n
		output wire        hps_0_ddr_mem_reset_n,                 //                               .mem_reset_n
		inout  wire [31:0] hps_0_ddr_mem_dq,                      //                               .mem_dq
		inout  wire [3:0]  hps_0_ddr_mem_dqs,                     //                               .mem_dqs
		inout  wire [3:0]  hps_0_ddr_mem_dqs_n,                   //                               .mem_dqs_n
		output wire        hps_0_ddr_mem_odt,                     //                               .mem_odt
		output wire [3:0]  hps_0_ddr_mem_dm,                      //                               .mem_dm
		input  wire        hps_0_ddr_oct_rzqin,                   //                               .oct_rzqin
		inout  wire        hps_0_io_hps_io_gpio_inst_GPIO53,      //                       hps_0_io.hps_io_gpio_inst_GPIO53
		inout  wire        hps_0_io_hps_io_gpio_inst_GPIO54,      //                               .hps_io_gpio_inst_GPIO54
		output wire [9:0]  leds_0_external_connection_export,     //     leds_0_external_connection.export
		output wire        pll_0_sdram_clk,                       //                    pll_0_sdram.clk
		input  wire        reset_reset_n,                         //                          reset.reset_n
		output wire [12:0] sdram_controller_0_wire_addr,          //        sdram_controller_0_wire.addr
		output wire [1:0]  sdram_controller_0_wire_ba,            //                               .ba
		output wire        sdram_controller_0_wire_cas_n,         //                               .cas_n
		output wire        sdram_controller_0_wire_cke,           //                               .cke
		output wire        sdram_controller_0_wire_cs_n,          //                               .cs_n
		inout  wire [15:0] sdram_controller_0_wire_dq,            //                               .dq
		output wire [1:0]  sdram_controller_0_wire_dqm,           //                               .dqm
		output wire        sdram_controller_0_wire_ras_n,         //                               .ras_n
		output wire        sdram_controller_0_wire_we_n,          //                               .we_n
		input  wire [9:0]  switches_0_external_connection_export  // switches_0_external_connection.export
	);

	wire         pll_0_outclk0_clk;                                           // pll_0:outclk_0 -> [buttons_0:clk, hex_0:clk, hex_1:clk, hex_2:clk, hex_3:clk, hex_4:clk, hex_5:clk, hps_0:h2f_lw_axi_clk, irq_mapper:clk, jtag_uart_0:clk, leds_0:clk, mm_interconnect_0:pll_0_outclk0_clk, mm_interconnect_1:pll_0_outclk0_clk, nios2_qsys_0:clk, rst_controller:clk, rst_controller_001:clk, switches_0:clk, sysid:clock]
	wire         pll_0_outclk1_clk;                                           // pll_0:outclk_1 -> [mm_interconnect_0:pll_0_outclk1_clk, rst_controller_003:clk, sdram_controller_0:clk]
	wire  [31:0] nios2_qsys_0_data_master_readdata;                           // mm_interconnect_0:nios2_qsys_0_data_master_readdata -> nios2_qsys_0:d_readdata
	wire         nios2_qsys_0_data_master_waitrequest;                        // mm_interconnect_0:nios2_qsys_0_data_master_waitrequest -> nios2_qsys_0:d_waitrequest
	wire         nios2_qsys_0_data_master_debugaccess;                        // nios2_qsys_0:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_qsys_0_data_master_debugaccess
	wire  [27:0] nios2_qsys_0_data_master_address;                            // nios2_qsys_0:d_address -> mm_interconnect_0:nios2_qsys_0_data_master_address
	wire   [3:0] nios2_qsys_0_data_master_byteenable;                         // nios2_qsys_0:d_byteenable -> mm_interconnect_0:nios2_qsys_0_data_master_byteenable
	wire         nios2_qsys_0_data_master_read;                               // nios2_qsys_0:d_read -> mm_interconnect_0:nios2_qsys_0_data_master_read
	wire         nios2_qsys_0_data_master_readdatavalid;                      // mm_interconnect_0:nios2_qsys_0_data_master_readdatavalid -> nios2_qsys_0:d_readdatavalid
	wire         nios2_qsys_0_data_master_write;                              // nios2_qsys_0:d_write -> mm_interconnect_0:nios2_qsys_0_data_master_write
	wire  [31:0] nios2_qsys_0_data_master_writedata;                          // nios2_qsys_0:d_writedata -> mm_interconnect_0:nios2_qsys_0_data_master_writedata
	wire  [31:0] nios2_qsys_0_instruction_master_readdata;                    // mm_interconnect_0:nios2_qsys_0_instruction_master_readdata -> nios2_qsys_0:i_readdata
	wire         nios2_qsys_0_instruction_master_waitrequest;                 // mm_interconnect_0:nios2_qsys_0_instruction_master_waitrequest -> nios2_qsys_0:i_waitrequest
	wire  [27:0] nios2_qsys_0_instruction_master_address;                     // nios2_qsys_0:i_address -> mm_interconnect_0:nios2_qsys_0_instruction_master_address
	wire         nios2_qsys_0_instruction_master_read;                        // nios2_qsys_0:i_read -> mm_interconnect_0:nios2_qsys_0_instruction_master_read
	wire         nios2_qsys_0_instruction_master_readdatavalid;               // mm_interconnect_0:nios2_qsys_0_instruction_master_readdatavalid -> nios2_qsys_0:i_readdatavalid
	wire         mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_chipselect;  // mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_chipselect -> jtag_uart_0:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_readdata;    // jtag_uart_0:av_readdata -> mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_waitrequest; // jtag_uart_0:av_waitrequest -> mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_address;     // mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_address -> jtag_uart_0:av_address
	wire         mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_read;        // mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_read -> jtag_uart_0:av_read_n
	wire         mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_write;       // mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_write -> jtag_uart_0:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_writedata;   // mm_interconnect_0:jtag_uart_0_avalon_jtag_slave_writedata -> jtag_uart_0:av_writedata
	wire  [31:0] mm_interconnect_0_sysid_control_slave_readdata;              // sysid:readdata -> mm_interconnect_0:sysid_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_control_slave_address;               // mm_interconnect_0:sysid_control_slave_address -> sysid:address
	wire  [31:0] mm_interconnect_0_nios2_qsys_0_debug_mem_slave_readdata;     // nios2_qsys_0:debug_mem_slave_readdata -> mm_interconnect_0:nios2_qsys_0_debug_mem_slave_readdata
	wire         mm_interconnect_0_nios2_qsys_0_debug_mem_slave_waitrequest;  // nios2_qsys_0:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_qsys_0_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_nios2_qsys_0_debug_mem_slave_debugaccess;  // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_debugaccess -> nios2_qsys_0:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_qsys_0_debug_mem_slave_address;      // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_address -> nios2_qsys_0:debug_mem_slave_address
	wire         mm_interconnect_0_nios2_qsys_0_debug_mem_slave_read;         // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_read -> nios2_qsys_0:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_nios2_qsys_0_debug_mem_slave_byteenable;   // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_byteenable -> nios2_qsys_0:debug_mem_slave_byteenable
	wire         mm_interconnect_0_nios2_qsys_0_debug_mem_slave_write;        // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_write -> nios2_qsys_0:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_nios2_qsys_0_debug_mem_slave_writedata;    // mm_interconnect_0:nios2_qsys_0_debug_mem_slave_writedata -> nios2_qsys_0:debug_mem_slave_writedata
	wire         mm_interconnect_0_sdram_controller_0_s1_chipselect;          // mm_interconnect_0:sdram_controller_0_s1_chipselect -> sdram_controller_0:az_cs
	wire  [15:0] mm_interconnect_0_sdram_controller_0_s1_readdata;            // sdram_controller_0:za_data -> mm_interconnect_0:sdram_controller_0_s1_readdata
	wire         mm_interconnect_0_sdram_controller_0_s1_waitrequest;         // sdram_controller_0:za_waitrequest -> mm_interconnect_0:sdram_controller_0_s1_waitrequest
	wire  [24:0] mm_interconnect_0_sdram_controller_0_s1_address;             // mm_interconnect_0:sdram_controller_0_s1_address -> sdram_controller_0:az_addr
	wire         mm_interconnect_0_sdram_controller_0_s1_read;                // mm_interconnect_0:sdram_controller_0_s1_read -> sdram_controller_0:az_rd_n
	wire   [1:0] mm_interconnect_0_sdram_controller_0_s1_byteenable;          // mm_interconnect_0:sdram_controller_0_s1_byteenable -> sdram_controller_0:az_be_n
	wire         mm_interconnect_0_sdram_controller_0_s1_readdatavalid;       // sdram_controller_0:za_valid -> mm_interconnect_0:sdram_controller_0_s1_readdatavalid
	wire         mm_interconnect_0_sdram_controller_0_s1_write;               // mm_interconnect_0:sdram_controller_0_s1_write -> sdram_controller_0:az_wr_n
	wire  [15:0] mm_interconnect_0_sdram_controller_0_s1_writedata;           // mm_interconnect_0:sdram_controller_0_s1_writedata -> sdram_controller_0:az_data
	wire         mm_interconnect_0_leds_0_s1_chipselect;                      // mm_interconnect_0:leds_0_s1_chipselect -> leds_0:chipselect
	wire  [31:0] mm_interconnect_0_leds_0_s1_readdata;                        // leds_0:readdata -> mm_interconnect_0:leds_0_s1_readdata
	wire   [1:0] mm_interconnect_0_leds_0_s1_address;                         // mm_interconnect_0:leds_0_s1_address -> leds_0:address
	wire         mm_interconnect_0_leds_0_s1_write;                           // mm_interconnect_0:leds_0_s1_write -> leds_0:write_n
	wire  [31:0] mm_interconnect_0_leds_0_s1_writedata;                       // mm_interconnect_0:leds_0_s1_writedata -> leds_0:writedata
	wire  [31:0] mm_interconnect_0_switches_0_s1_readdata;                    // switches_0:readdata -> mm_interconnect_0:switches_0_s1_readdata
	wire   [1:0] mm_interconnect_0_switches_0_s1_address;                     // mm_interconnect_0:switches_0_s1_address -> switches_0:address
	wire   [1:0] hps_0_h2f_lw_axi_master_awburst;                             // hps_0:h2f_lw_AWBURST -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awburst
	wire   [3:0] hps_0_h2f_lw_axi_master_arlen;                               // hps_0:h2f_lw_ARLEN -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arlen
	wire   [3:0] hps_0_h2f_lw_axi_master_wstrb;                               // hps_0:h2f_lw_WSTRB -> mm_interconnect_1:hps_0_h2f_lw_axi_master_wstrb
	wire         hps_0_h2f_lw_axi_master_wready;                              // mm_interconnect_1:hps_0_h2f_lw_axi_master_wready -> hps_0:h2f_lw_WREADY
	wire  [11:0] hps_0_h2f_lw_axi_master_rid;                                 // mm_interconnect_1:hps_0_h2f_lw_axi_master_rid -> hps_0:h2f_lw_RID
	wire         hps_0_h2f_lw_axi_master_rready;                              // hps_0:h2f_lw_RREADY -> mm_interconnect_1:hps_0_h2f_lw_axi_master_rready
	wire   [3:0] hps_0_h2f_lw_axi_master_awlen;                               // hps_0:h2f_lw_AWLEN -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awlen
	wire  [11:0] hps_0_h2f_lw_axi_master_wid;                                 // hps_0:h2f_lw_WID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_wid
	wire   [3:0] hps_0_h2f_lw_axi_master_arcache;                             // hps_0:h2f_lw_ARCACHE -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arcache
	wire         hps_0_h2f_lw_axi_master_wvalid;                              // hps_0:h2f_lw_WVALID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_wvalid
	wire  [20:0] hps_0_h2f_lw_axi_master_araddr;                              // hps_0:h2f_lw_ARADDR -> mm_interconnect_1:hps_0_h2f_lw_axi_master_araddr
	wire   [2:0] hps_0_h2f_lw_axi_master_arprot;                              // hps_0:h2f_lw_ARPROT -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arprot
	wire   [2:0] hps_0_h2f_lw_axi_master_awprot;                              // hps_0:h2f_lw_AWPROT -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awprot
	wire  [31:0] hps_0_h2f_lw_axi_master_wdata;                               // hps_0:h2f_lw_WDATA -> mm_interconnect_1:hps_0_h2f_lw_axi_master_wdata
	wire         hps_0_h2f_lw_axi_master_arvalid;                             // hps_0:h2f_lw_ARVALID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arvalid
	wire   [3:0] hps_0_h2f_lw_axi_master_awcache;                             // hps_0:h2f_lw_AWCACHE -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awcache
	wire  [11:0] hps_0_h2f_lw_axi_master_arid;                                // hps_0:h2f_lw_ARID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arid
	wire   [1:0] hps_0_h2f_lw_axi_master_arlock;                              // hps_0:h2f_lw_ARLOCK -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arlock
	wire   [1:0] hps_0_h2f_lw_axi_master_awlock;                              // hps_0:h2f_lw_AWLOCK -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awlock
	wire  [20:0] hps_0_h2f_lw_axi_master_awaddr;                              // hps_0:h2f_lw_AWADDR -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awaddr
	wire   [1:0] hps_0_h2f_lw_axi_master_bresp;                               // mm_interconnect_1:hps_0_h2f_lw_axi_master_bresp -> hps_0:h2f_lw_BRESP
	wire         hps_0_h2f_lw_axi_master_arready;                             // mm_interconnect_1:hps_0_h2f_lw_axi_master_arready -> hps_0:h2f_lw_ARREADY
	wire  [31:0] hps_0_h2f_lw_axi_master_rdata;                               // mm_interconnect_1:hps_0_h2f_lw_axi_master_rdata -> hps_0:h2f_lw_RDATA
	wire         hps_0_h2f_lw_axi_master_awready;                             // mm_interconnect_1:hps_0_h2f_lw_axi_master_awready -> hps_0:h2f_lw_AWREADY
	wire   [1:0] hps_0_h2f_lw_axi_master_arburst;                             // hps_0:h2f_lw_ARBURST -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arburst
	wire   [2:0] hps_0_h2f_lw_axi_master_arsize;                              // hps_0:h2f_lw_ARSIZE -> mm_interconnect_1:hps_0_h2f_lw_axi_master_arsize
	wire         hps_0_h2f_lw_axi_master_bready;                              // hps_0:h2f_lw_BREADY -> mm_interconnect_1:hps_0_h2f_lw_axi_master_bready
	wire         hps_0_h2f_lw_axi_master_rlast;                               // mm_interconnect_1:hps_0_h2f_lw_axi_master_rlast -> hps_0:h2f_lw_RLAST
	wire         hps_0_h2f_lw_axi_master_wlast;                               // hps_0:h2f_lw_WLAST -> mm_interconnect_1:hps_0_h2f_lw_axi_master_wlast
	wire   [1:0] hps_0_h2f_lw_axi_master_rresp;                               // mm_interconnect_1:hps_0_h2f_lw_axi_master_rresp -> hps_0:h2f_lw_RRESP
	wire  [11:0] hps_0_h2f_lw_axi_master_awid;                                // hps_0:h2f_lw_AWID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awid
	wire  [11:0] hps_0_h2f_lw_axi_master_bid;                                 // mm_interconnect_1:hps_0_h2f_lw_axi_master_bid -> hps_0:h2f_lw_BID
	wire         hps_0_h2f_lw_axi_master_bvalid;                              // mm_interconnect_1:hps_0_h2f_lw_axi_master_bvalid -> hps_0:h2f_lw_BVALID
	wire   [2:0] hps_0_h2f_lw_axi_master_awsize;                              // hps_0:h2f_lw_AWSIZE -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awsize
	wire         hps_0_h2f_lw_axi_master_awvalid;                             // hps_0:h2f_lw_AWVALID -> mm_interconnect_1:hps_0_h2f_lw_axi_master_awvalid
	wire         hps_0_h2f_lw_axi_master_rvalid;                              // mm_interconnect_1:hps_0_h2f_lw_axi_master_rvalid -> hps_0:h2f_lw_RVALID
	wire  [31:0] mm_interconnect_1_buttons_0_s1_readdata;                     // buttons_0:readdata -> mm_interconnect_1:buttons_0_s1_readdata
	wire   [1:0] mm_interconnect_1_buttons_0_s1_address;                      // mm_interconnect_1:buttons_0_s1_address -> buttons_0:address
	wire         mm_interconnect_1_hex_0_s1_chipselect;                       // mm_interconnect_1:hex_0_s1_chipselect -> hex_0:chipselect
	wire  [31:0] mm_interconnect_1_hex_0_s1_readdata;                         // hex_0:readdata -> mm_interconnect_1:hex_0_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_0_s1_address;                          // mm_interconnect_1:hex_0_s1_address -> hex_0:address
	wire         mm_interconnect_1_hex_0_s1_write;                            // mm_interconnect_1:hex_0_s1_write -> hex_0:write_n
	wire  [31:0] mm_interconnect_1_hex_0_s1_writedata;                        // mm_interconnect_1:hex_0_s1_writedata -> hex_0:writedata
	wire         mm_interconnect_1_hex_1_s1_chipselect;                       // mm_interconnect_1:hex_1_s1_chipselect -> hex_1:chipselect
	wire  [31:0] mm_interconnect_1_hex_1_s1_readdata;                         // hex_1:readdata -> mm_interconnect_1:hex_1_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_1_s1_address;                          // mm_interconnect_1:hex_1_s1_address -> hex_1:address
	wire         mm_interconnect_1_hex_1_s1_write;                            // mm_interconnect_1:hex_1_s1_write -> hex_1:write_n
	wire  [31:0] mm_interconnect_1_hex_1_s1_writedata;                        // mm_interconnect_1:hex_1_s1_writedata -> hex_1:writedata
	wire         mm_interconnect_1_hex_2_s1_chipselect;                       // mm_interconnect_1:hex_2_s1_chipselect -> hex_2:chipselect
	wire  [31:0] mm_interconnect_1_hex_2_s1_readdata;                         // hex_2:readdata -> mm_interconnect_1:hex_2_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_2_s1_address;                          // mm_interconnect_1:hex_2_s1_address -> hex_2:address
	wire         mm_interconnect_1_hex_2_s1_write;                            // mm_interconnect_1:hex_2_s1_write -> hex_2:write_n
	wire  [31:0] mm_interconnect_1_hex_2_s1_writedata;                        // mm_interconnect_1:hex_2_s1_writedata -> hex_2:writedata
	wire         mm_interconnect_1_hex_3_s1_chipselect;                       // mm_interconnect_1:hex_3_s1_chipselect -> hex_3:chipselect
	wire  [31:0] mm_interconnect_1_hex_3_s1_readdata;                         // hex_3:readdata -> mm_interconnect_1:hex_3_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_3_s1_address;                          // mm_interconnect_1:hex_3_s1_address -> hex_3:address
	wire         mm_interconnect_1_hex_3_s1_write;                            // mm_interconnect_1:hex_3_s1_write -> hex_3:write_n
	wire  [31:0] mm_interconnect_1_hex_3_s1_writedata;                        // mm_interconnect_1:hex_3_s1_writedata -> hex_3:writedata
	wire         mm_interconnect_1_hex_4_s1_chipselect;                       // mm_interconnect_1:hex_4_s1_chipselect -> hex_4:chipselect
	wire  [31:0] mm_interconnect_1_hex_4_s1_readdata;                         // hex_4:readdata -> mm_interconnect_1:hex_4_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_4_s1_address;                          // mm_interconnect_1:hex_4_s1_address -> hex_4:address
	wire         mm_interconnect_1_hex_4_s1_write;                            // mm_interconnect_1:hex_4_s1_write -> hex_4:write_n
	wire  [31:0] mm_interconnect_1_hex_4_s1_writedata;                        // mm_interconnect_1:hex_4_s1_writedata -> hex_4:writedata
	wire         mm_interconnect_1_hex_5_s1_chipselect;                       // mm_interconnect_1:hex_5_s1_chipselect -> hex_5:chipselect
	wire  [31:0] mm_interconnect_1_hex_5_s1_readdata;                         // hex_5:readdata -> mm_interconnect_1:hex_5_s1_readdata
	wire   [1:0] mm_interconnect_1_hex_5_s1_address;                          // mm_interconnect_1:hex_5_s1_address -> hex_5:address
	wire         mm_interconnect_1_hex_5_s1_write;                            // mm_interconnect_1:hex_5_s1_write -> hex_5:write_n
	wire  [31:0] mm_interconnect_1_hex_5_s1_writedata;                        // mm_interconnect_1:hex_5_s1_writedata -> hex_5:writedata
	wire         irq_mapper_receiver0_irq;                                    // jtag_uart_0:av_irq -> irq_mapper:receiver0_irq
	wire  [31:0] nios2_qsys_0_irq_irq;                                        // irq_mapper:sender_irq -> nios2_qsys_0:irq
	wire         rst_controller_reset_out_reset;                              // rst_controller:reset_out -> [buttons_0:reset_n, hex_0:reset_n, hex_1:reset_n, hex_2:reset_n, hex_3:reset_n, hex_4:reset_n, hex_5:reset_n, mm_interconnect_1:buttons_0_reset_reset_bridge_in_reset_reset]
	wire         hps_0_h2f_reset_reset;                                       // hps_0:h2f_rst_n -> rst_controller:reset_in0
	wire         rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [irq_mapper:reset, jtag_uart_0:rst_n, leds_0:reset_n, mm_interconnect_0:nios2_qsys_0_reset_reset_bridge_in_reset_reset, nios2_qsys_0:reset_n, rst_translator:in_reset, switches_0:reset_n, sysid:reset_n]
	wire         rst_controller_001_reset_out_reset_req;                      // rst_controller_001:reset_req -> [nios2_qsys_0:reset_req, rst_translator:reset_req_in]
	wire         nios2_qsys_0_debug_reset_request_reset;                      // nios2_qsys_0:debug_reset_request -> [rst_controller_001:reset_in1, rst_controller_002:reset_in1, rst_controller_003:reset_in1]
	wire         rst_controller_002_reset_out_reset;                          // rst_controller_002:reset_out -> pll_0:rst
	wire         rst_controller_003_reset_out_reset;                          // rst_controller_003:reset_out -> [mm_interconnect_0:sdram_controller_0_reset_reset_bridge_in_reset_reset, sdram_controller_0:reset_n]

	soc_system_buttons_0 buttons_0 (
		.clk      (pll_0_outclk0_clk),                       //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address  (mm_interconnect_1_buttons_0_s1_address),  //                  s1.address
		.readdata (mm_interconnect_1_buttons_0_s1_readdata), //                    .readdata
		.in_port  (buttons_0_external_connection_export)     // external_connection.export
	);

	soc_system_hex_0 hex_0 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_0_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_0_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_0_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_0_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_0_s1_readdata),   //                    .readdata
		.out_port   (hex_0_external_connection_export)       // external_connection.export
	);

	soc_system_hex_0 hex_1 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_1_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_1_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_1_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_1_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_1_s1_readdata),   //                    .readdata
		.out_port   (hex_1_external_connection_export)       // external_connection.export
	);

	soc_system_hex_0 hex_2 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_2_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_2_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_2_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_2_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_2_s1_readdata),   //                    .readdata
		.out_port   (hex_2_external_connection_export)       // external_connection.export
	);

	soc_system_hex_0 hex_3 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_3_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_3_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_3_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_3_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_3_s1_readdata),   //                    .readdata
		.out_port   (hex_3_external_connection_export)       // external_connection.export
	);

	soc_system_hex_0 hex_4 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_4_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_4_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_4_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_4_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_4_s1_readdata),   //                    .readdata
		.out_port   (hex_4_external_connection_export)       // external_connection.export
	);

	soc_system_hex_0 hex_5 (
		.clk        (pll_0_outclk0_clk),                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_1_hex_5_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hex_5_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hex_5_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hex_5_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hex_5_s1_readdata),   //                    .readdata
		.out_port   (hex_5_external_connection_export)       // external_connection.export
	);

	soc_system_hps_0 #(
		.F2S_Width (0),
		.S2F_Width (0)
	) hps_0 (
		.mem_a                   (hps_0_ddr_mem_a),                  //            memory.mem_a
		.mem_ba                  (hps_0_ddr_mem_ba),                 //                  .mem_ba
		.mem_ck                  (hps_0_ddr_mem_ck),                 //                  .mem_ck
		.mem_ck_n                (hps_0_ddr_mem_ck_n),               //                  .mem_ck_n
		.mem_cke                 (hps_0_ddr_mem_cke),                //                  .mem_cke
		.mem_cs_n                (hps_0_ddr_mem_cs_n),               //                  .mem_cs_n
		.mem_ras_n               (hps_0_ddr_mem_ras_n),              //                  .mem_ras_n
		.mem_cas_n               (hps_0_ddr_mem_cas_n),              //                  .mem_cas_n
		.mem_we_n                (hps_0_ddr_mem_we_n),               //                  .mem_we_n
		.mem_reset_n             (hps_0_ddr_mem_reset_n),            //                  .mem_reset_n
		.mem_dq                  (hps_0_ddr_mem_dq),                 //                  .mem_dq
		.mem_dqs                 (hps_0_ddr_mem_dqs),                //                  .mem_dqs
		.mem_dqs_n               (hps_0_ddr_mem_dqs_n),              //                  .mem_dqs_n
		.mem_odt                 (hps_0_ddr_mem_odt),                //                  .mem_odt
		.mem_dm                  (hps_0_ddr_mem_dm),                 //                  .mem_dm
		.oct_rzqin               (hps_0_ddr_oct_rzqin),              //                  .oct_rzqin
		.hps_io_gpio_inst_GPIO53 (hps_0_io_hps_io_gpio_inst_GPIO53), //            hps_io.hps_io_gpio_inst_GPIO53
		.hps_io_gpio_inst_GPIO54 (hps_0_io_hps_io_gpio_inst_GPIO54), //                  .hps_io_gpio_inst_GPIO54
		.h2f_rst_n               (hps_0_h2f_reset_reset),            //         h2f_reset.reset_n
		.h2f_lw_axi_clk          (pll_0_outclk0_clk),                //  h2f_lw_axi_clock.clk
		.h2f_lw_AWID             (hps_0_h2f_lw_axi_master_awid),     // h2f_lw_axi_master.awid
		.h2f_lw_AWADDR           (hps_0_h2f_lw_axi_master_awaddr),   //                  .awaddr
		.h2f_lw_AWLEN            (hps_0_h2f_lw_axi_master_awlen),    //                  .awlen
		.h2f_lw_AWSIZE           (hps_0_h2f_lw_axi_master_awsize),   //                  .awsize
		.h2f_lw_AWBURST          (hps_0_h2f_lw_axi_master_awburst),  //                  .awburst
		.h2f_lw_AWLOCK           (hps_0_h2f_lw_axi_master_awlock),   //                  .awlock
		.h2f_lw_AWCACHE          (hps_0_h2f_lw_axi_master_awcache),  //                  .awcache
		.h2f_lw_AWPROT           (hps_0_h2f_lw_axi_master_awprot),   //                  .awprot
		.h2f_lw_AWVALID          (hps_0_h2f_lw_axi_master_awvalid),  //                  .awvalid
		.h2f_lw_AWREADY          (hps_0_h2f_lw_axi_master_awready),  //                  .awready
		.h2f_lw_WID              (hps_0_h2f_lw_axi_master_wid),      //                  .wid
		.h2f_lw_WDATA            (hps_0_h2f_lw_axi_master_wdata),    //                  .wdata
		.h2f_lw_WSTRB            (hps_0_h2f_lw_axi_master_wstrb),    //                  .wstrb
		.h2f_lw_WLAST            (hps_0_h2f_lw_axi_master_wlast),    //                  .wlast
		.h2f_lw_WVALID           (hps_0_h2f_lw_axi_master_wvalid),   //                  .wvalid
		.h2f_lw_WREADY           (hps_0_h2f_lw_axi_master_wready),   //                  .wready
		.h2f_lw_BID              (hps_0_h2f_lw_axi_master_bid),      //                  .bid
		.h2f_lw_BRESP            (hps_0_h2f_lw_axi_master_bresp),    //                  .bresp
		.h2f_lw_BVALID           (hps_0_h2f_lw_axi_master_bvalid),   //                  .bvalid
		.h2f_lw_BREADY           (hps_0_h2f_lw_axi_master_bready),   //                  .bready
		.h2f_lw_ARID             (hps_0_h2f_lw_axi_master_arid),     //                  .arid
		.h2f_lw_ARADDR           (hps_0_h2f_lw_axi_master_araddr),   //                  .araddr
		.h2f_lw_ARLEN            (hps_0_h2f_lw_axi_master_arlen),    //                  .arlen
		.h2f_lw_ARSIZE           (hps_0_h2f_lw_axi_master_arsize),   //                  .arsize
		.h2f_lw_ARBURST          (hps_0_h2f_lw_axi_master_arburst),  //                  .arburst
		.h2f_lw_ARLOCK           (hps_0_h2f_lw_axi_master_arlock),   //                  .arlock
		.h2f_lw_ARCACHE          (hps_0_h2f_lw_axi_master_arcache),  //                  .arcache
		.h2f_lw_ARPROT           (hps_0_h2f_lw_axi_master_arprot),   //                  .arprot
		.h2f_lw_ARVALID          (hps_0_h2f_lw_axi_master_arvalid),  //                  .arvalid
		.h2f_lw_ARREADY          (hps_0_h2f_lw_axi_master_arready),  //                  .arready
		.h2f_lw_RID              (hps_0_h2f_lw_axi_master_rid),      //                  .rid
		.h2f_lw_RDATA            (hps_0_h2f_lw_axi_master_rdata),    //                  .rdata
		.h2f_lw_RRESP            (hps_0_h2f_lw_axi_master_rresp),    //                  .rresp
		.h2f_lw_RLAST            (hps_0_h2f_lw_axi_master_rlast),    //                  .rlast
		.h2f_lw_RVALID           (hps_0_h2f_lw_axi_master_rvalid),   //                  .rvalid
		.h2f_lw_RREADY           (hps_0_h2f_lw_axi_master_rready)    //                  .rready
	);

	soc_system_jtag_uart_0 jtag_uart_0 (
		.clk            (pll_0_outclk0_clk),                                           //               clk.clk
		.rst_n          (~rst_controller_001_reset_out_reset),                         //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_mapper_receiver0_irq)                                     //               irq.irq
	);

	soc_system_leds_0 leds_0 (
		.clk        (pll_0_outclk0_clk),                      //                 clk.clk
		.reset_n    (~rst_controller_001_reset_out_reset),    //               reset.reset_n
		.address    (mm_interconnect_0_leds_0_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_leds_0_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_leds_0_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_leds_0_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_leds_0_s1_readdata),   //                    .readdata
		.out_port   (leds_0_external_connection_export)       // external_connection.export
	);

	soc_system_nios2_qsys_0 nios2_qsys_0 (
		.clk                                 (pll_0_outclk0_clk),                                          //                       clk.clk
		.reset_n                             (~rst_controller_001_reset_out_reset),                        //                     reset.reset_n
		.reset_req                           (rst_controller_001_reset_out_reset_req),                     //                          .reset_req
		.d_address                           (nios2_qsys_0_data_master_address),                           //               data_master.address
		.d_byteenable                        (nios2_qsys_0_data_master_byteenable),                        //                          .byteenable
		.d_read                              (nios2_qsys_0_data_master_read),                              //                          .read
		.d_readdata                          (nios2_qsys_0_data_master_readdata),                          //                          .readdata
		.d_waitrequest                       (nios2_qsys_0_data_master_waitrequest),                       //                          .waitrequest
		.d_write                             (nios2_qsys_0_data_master_write),                             //                          .write
		.d_writedata                         (nios2_qsys_0_data_master_writedata),                         //                          .writedata
		.d_readdatavalid                     (nios2_qsys_0_data_master_readdatavalid),                     //                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_qsys_0_data_master_debugaccess),                       //                          .debugaccess
		.i_address                           (nios2_qsys_0_instruction_master_address),                    //        instruction_master.address
		.i_read                              (nios2_qsys_0_instruction_master_read),                       //                          .read
		.i_readdata                          (nios2_qsys_0_instruction_master_readdata),                   //                          .readdata
		.i_waitrequest                       (nios2_qsys_0_instruction_master_waitrequest),                //                          .waitrequest
		.i_readdatavalid                     (nios2_qsys_0_instruction_master_readdatavalid),              //                          .readdatavalid
		.irq                                 (nios2_qsys_0_irq_irq),                                       //                       irq.irq
		.debug_reset_request                 (nios2_qsys_0_debug_reset_request_reset),                     //       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_address),     //           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_byteenable),  //                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_debugaccess), //                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_read),        //                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_readdata),    //                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_waitrequest), //                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_write),       //                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_writedata),   //                          .writedata
		.dummy_ci_port                       ()                                                            // custom_instruction_master.readra
	);

	soc_system_pll_0 pll_0 (
		.refclk   (clk_clk),                            //  refclk.clk
		.rst      (rst_controller_002_reset_out_reset), //   reset.reset
		.outclk_0 (pll_0_outclk0_clk),                  // outclk0.clk
		.outclk_1 (pll_0_outclk1_clk),                  // outclk1.clk
		.outclk_2 (pll_0_sdram_clk),                    // outclk2.clk
		.locked   ()                                    // (terminated)
	);

	soc_system_sdram_controller_0 sdram_controller_0 (
		.clk            (pll_0_outclk1_clk),                                     //   clk.clk
		.reset_n        (~rst_controller_003_reset_out_reset),                   // reset.reset_n
		.az_addr        (mm_interconnect_0_sdram_controller_0_s1_address),       //    s1.address
		.az_be_n        (~mm_interconnect_0_sdram_controller_0_s1_byteenable),   //      .byteenable_n
		.az_cs          (mm_interconnect_0_sdram_controller_0_s1_chipselect),    //      .chipselect
		.az_data        (mm_interconnect_0_sdram_controller_0_s1_writedata),     //      .writedata
		.az_rd_n        (~mm_interconnect_0_sdram_controller_0_s1_read),         //      .read_n
		.az_wr_n        (~mm_interconnect_0_sdram_controller_0_s1_write),        //      .write_n
		.za_data        (mm_interconnect_0_sdram_controller_0_s1_readdata),      //      .readdata
		.za_valid       (mm_interconnect_0_sdram_controller_0_s1_readdatavalid), //      .readdatavalid
		.za_waitrequest (mm_interconnect_0_sdram_controller_0_s1_waitrequest),   //      .waitrequest
		.zs_addr        (sdram_controller_0_wire_addr),                          //  wire.export
		.zs_ba          (sdram_controller_0_wire_ba),                            //      .export
		.zs_cas_n       (sdram_controller_0_wire_cas_n),                         //      .export
		.zs_cke         (sdram_controller_0_wire_cke),                           //      .export
		.zs_cs_n        (sdram_controller_0_wire_cs_n),                          //      .export
		.zs_dq          (sdram_controller_0_wire_dq),                            //      .export
		.zs_dqm         (sdram_controller_0_wire_dqm),                           //      .export
		.zs_ras_n       (sdram_controller_0_wire_ras_n),                         //      .export
		.zs_we_n        (sdram_controller_0_wire_we_n)                           //      .export
	);

	soc_system_switches_0 switches_0 (
		.clk      (pll_0_outclk0_clk),                        //                 clk.clk
		.reset_n  (~rst_controller_001_reset_out_reset),      //               reset.reset_n
		.address  (mm_interconnect_0_switches_0_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_switches_0_s1_readdata), //                    .readdata
		.in_port  (switches_0_external_connection_export)     // external_connection.export
	);

	soc_system_sysid sysid (
		.clock    (pll_0_outclk0_clk),                              //           clk.clk
		.reset_n  (~rst_controller_001_reset_out_reset),            //         reset.reset_n
		.readdata (mm_interconnect_0_sysid_control_slave_readdata), // control_slave.readdata
		.address  (mm_interconnect_0_sysid_control_slave_address)   //              .address
	);

	soc_system_mm_interconnect_0 mm_interconnect_0 (
		.pll_0_outclk0_clk                                    (pll_0_outclk0_clk),                                           //                                  pll_0_outclk0.clk
		.pll_0_outclk1_clk                                    (pll_0_outclk1_clk),                                           //                                  pll_0_outclk1.clk
		.nios2_qsys_0_reset_reset_bridge_in_reset_reset       (rst_controller_001_reset_out_reset),                          //       nios2_qsys_0_reset_reset_bridge_in_reset.reset
		.sdram_controller_0_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                          // sdram_controller_0_reset_reset_bridge_in_reset.reset
		.nios2_qsys_0_data_master_address                     (nios2_qsys_0_data_master_address),                            //                       nios2_qsys_0_data_master.address
		.nios2_qsys_0_data_master_waitrequest                 (nios2_qsys_0_data_master_waitrequest),                        //                                               .waitrequest
		.nios2_qsys_0_data_master_byteenable                  (nios2_qsys_0_data_master_byteenable),                         //                                               .byteenable
		.nios2_qsys_0_data_master_read                        (nios2_qsys_0_data_master_read),                               //                                               .read
		.nios2_qsys_0_data_master_readdata                    (nios2_qsys_0_data_master_readdata),                           //                                               .readdata
		.nios2_qsys_0_data_master_readdatavalid               (nios2_qsys_0_data_master_readdatavalid),                      //                                               .readdatavalid
		.nios2_qsys_0_data_master_write                       (nios2_qsys_0_data_master_write),                              //                                               .write
		.nios2_qsys_0_data_master_writedata                   (nios2_qsys_0_data_master_writedata),                          //                                               .writedata
		.nios2_qsys_0_data_master_debugaccess                 (nios2_qsys_0_data_master_debugaccess),                        //                                               .debugaccess
		.nios2_qsys_0_instruction_master_address              (nios2_qsys_0_instruction_master_address),                     //                nios2_qsys_0_instruction_master.address
		.nios2_qsys_0_instruction_master_waitrequest          (nios2_qsys_0_instruction_master_waitrequest),                 //                                               .waitrequest
		.nios2_qsys_0_instruction_master_read                 (nios2_qsys_0_instruction_master_read),                        //                                               .read
		.nios2_qsys_0_instruction_master_readdata             (nios2_qsys_0_instruction_master_readdata),                    //                                               .readdata
		.nios2_qsys_0_instruction_master_readdatavalid        (nios2_qsys_0_instruction_master_readdatavalid),               //                                               .readdatavalid
		.jtag_uart_0_avalon_jtag_slave_address                (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_address),     //                  jtag_uart_0_avalon_jtag_slave.address
		.jtag_uart_0_avalon_jtag_slave_write                  (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_write),       //                                               .write
		.jtag_uart_0_avalon_jtag_slave_read                   (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_read),        //                                               .read
		.jtag_uart_0_avalon_jtag_slave_readdata               (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_readdata),    //                                               .readdata
		.jtag_uart_0_avalon_jtag_slave_writedata              (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_writedata),   //                                               .writedata
		.jtag_uart_0_avalon_jtag_slave_waitrequest            (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_waitrequest), //                                               .waitrequest
		.jtag_uart_0_avalon_jtag_slave_chipselect             (mm_interconnect_0_jtag_uart_0_avalon_jtag_slave_chipselect),  //                                               .chipselect
		.leds_0_s1_address                                    (mm_interconnect_0_leds_0_s1_address),                         //                                      leds_0_s1.address
		.leds_0_s1_write                                      (mm_interconnect_0_leds_0_s1_write),                           //                                               .write
		.leds_0_s1_readdata                                   (mm_interconnect_0_leds_0_s1_readdata),                        //                                               .readdata
		.leds_0_s1_writedata                                  (mm_interconnect_0_leds_0_s1_writedata),                       //                                               .writedata
		.leds_0_s1_chipselect                                 (mm_interconnect_0_leds_0_s1_chipselect),                      //                                               .chipselect
		.nios2_qsys_0_debug_mem_slave_address                 (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_address),      //                   nios2_qsys_0_debug_mem_slave.address
		.nios2_qsys_0_debug_mem_slave_write                   (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_write),        //                                               .write
		.nios2_qsys_0_debug_mem_slave_read                    (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_read),         //                                               .read
		.nios2_qsys_0_debug_mem_slave_readdata                (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_readdata),     //                                               .readdata
		.nios2_qsys_0_debug_mem_slave_writedata               (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_writedata),    //                                               .writedata
		.nios2_qsys_0_debug_mem_slave_byteenable              (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_byteenable),   //                                               .byteenable
		.nios2_qsys_0_debug_mem_slave_waitrequest             (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_waitrequest),  //                                               .waitrequest
		.nios2_qsys_0_debug_mem_slave_debugaccess             (mm_interconnect_0_nios2_qsys_0_debug_mem_slave_debugaccess),  //                                               .debugaccess
		.sdram_controller_0_s1_address                        (mm_interconnect_0_sdram_controller_0_s1_address),             //                          sdram_controller_0_s1.address
		.sdram_controller_0_s1_write                          (mm_interconnect_0_sdram_controller_0_s1_write),               //                                               .write
		.sdram_controller_0_s1_read                           (mm_interconnect_0_sdram_controller_0_s1_read),                //                                               .read
		.sdram_controller_0_s1_readdata                       (mm_interconnect_0_sdram_controller_0_s1_readdata),            //                                               .readdata
		.sdram_controller_0_s1_writedata                      (mm_interconnect_0_sdram_controller_0_s1_writedata),           //                                               .writedata
		.sdram_controller_0_s1_byteenable                     (mm_interconnect_0_sdram_controller_0_s1_byteenable),          //                                               .byteenable
		.sdram_controller_0_s1_readdatavalid                  (mm_interconnect_0_sdram_controller_0_s1_readdatavalid),       //                                               .readdatavalid
		.sdram_controller_0_s1_waitrequest                    (mm_interconnect_0_sdram_controller_0_s1_waitrequest),         //                                               .waitrequest
		.sdram_controller_0_s1_chipselect                     (mm_interconnect_0_sdram_controller_0_s1_chipselect),          //                                               .chipselect
		.switches_0_s1_address                                (mm_interconnect_0_switches_0_s1_address),                     //                                  switches_0_s1.address
		.switches_0_s1_readdata                               (mm_interconnect_0_switches_0_s1_readdata),                    //                                               .readdata
		.sysid_control_slave_address                          (mm_interconnect_0_sysid_control_slave_address),               //                            sysid_control_slave.address
		.sysid_control_slave_readdata                         (mm_interconnect_0_sysid_control_slave_readdata)               //                                               .readdata
	);

	soc_system_mm_interconnect_1 mm_interconnect_1 (
		.hps_0_h2f_lw_axi_master_awid                (hps_0_h2f_lw_axi_master_awid),            //               hps_0_h2f_lw_axi_master.awid
		.hps_0_h2f_lw_axi_master_awaddr              (hps_0_h2f_lw_axi_master_awaddr),          //                                      .awaddr
		.hps_0_h2f_lw_axi_master_awlen               (hps_0_h2f_lw_axi_master_awlen),           //                                      .awlen
		.hps_0_h2f_lw_axi_master_awsize              (hps_0_h2f_lw_axi_master_awsize),          //                                      .awsize
		.hps_0_h2f_lw_axi_master_awburst             (hps_0_h2f_lw_axi_master_awburst),         //                                      .awburst
		.hps_0_h2f_lw_axi_master_awlock              (hps_0_h2f_lw_axi_master_awlock),          //                                      .awlock
		.hps_0_h2f_lw_axi_master_awcache             (hps_0_h2f_lw_axi_master_awcache),         //                                      .awcache
		.hps_0_h2f_lw_axi_master_awprot              (hps_0_h2f_lw_axi_master_awprot),          //                                      .awprot
		.hps_0_h2f_lw_axi_master_awvalid             (hps_0_h2f_lw_axi_master_awvalid),         //                                      .awvalid
		.hps_0_h2f_lw_axi_master_awready             (hps_0_h2f_lw_axi_master_awready),         //                                      .awready
		.hps_0_h2f_lw_axi_master_wid                 (hps_0_h2f_lw_axi_master_wid),             //                                      .wid
		.hps_0_h2f_lw_axi_master_wdata               (hps_0_h2f_lw_axi_master_wdata),           //                                      .wdata
		.hps_0_h2f_lw_axi_master_wstrb               (hps_0_h2f_lw_axi_master_wstrb),           //                                      .wstrb
		.hps_0_h2f_lw_axi_master_wlast               (hps_0_h2f_lw_axi_master_wlast),           //                                      .wlast
		.hps_0_h2f_lw_axi_master_wvalid              (hps_0_h2f_lw_axi_master_wvalid),          //                                      .wvalid
		.hps_0_h2f_lw_axi_master_wready              (hps_0_h2f_lw_axi_master_wready),          //                                      .wready
		.hps_0_h2f_lw_axi_master_bid                 (hps_0_h2f_lw_axi_master_bid),             //                                      .bid
		.hps_0_h2f_lw_axi_master_bresp               (hps_0_h2f_lw_axi_master_bresp),           //                                      .bresp
		.hps_0_h2f_lw_axi_master_bvalid              (hps_0_h2f_lw_axi_master_bvalid),          //                                      .bvalid
		.hps_0_h2f_lw_axi_master_bready              (hps_0_h2f_lw_axi_master_bready),          //                                      .bready
		.hps_0_h2f_lw_axi_master_arid                (hps_0_h2f_lw_axi_master_arid),            //                                      .arid
		.hps_0_h2f_lw_axi_master_araddr              (hps_0_h2f_lw_axi_master_araddr),          //                                      .araddr
		.hps_0_h2f_lw_axi_master_arlen               (hps_0_h2f_lw_axi_master_arlen),           //                                      .arlen
		.hps_0_h2f_lw_axi_master_arsize              (hps_0_h2f_lw_axi_master_arsize),          //                                      .arsize
		.hps_0_h2f_lw_axi_master_arburst             (hps_0_h2f_lw_axi_master_arburst),         //                                      .arburst
		.hps_0_h2f_lw_axi_master_arlock              (hps_0_h2f_lw_axi_master_arlock),          //                                      .arlock
		.hps_0_h2f_lw_axi_master_arcache             (hps_0_h2f_lw_axi_master_arcache),         //                                      .arcache
		.hps_0_h2f_lw_axi_master_arprot              (hps_0_h2f_lw_axi_master_arprot),          //                                      .arprot
		.hps_0_h2f_lw_axi_master_arvalid             (hps_0_h2f_lw_axi_master_arvalid),         //                                      .arvalid
		.hps_0_h2f_lw_axi_master_arready             (hps_0_h2f_lw_axi_master_arready),         //                                      .arready
		.hps_0_h2f_lw_axi_master_rid                 (hps_0_h2f_lw_axi_master_rid),             //                                      .rid
		.hps_0_h2f_lw_axi_master_rdata               (hps_0_h2f_lw_axi_master_rdata),           //                                      .rdata
		.hps_0_h2f_lw_axi_master_rresp               (hps_0_h2f_lw_axi_master_rresp),           //                                      .rresp
		.hps_0_h2f_lw_axi_master_rlast               (hps_0_h2f_lw_axi_master_rlast),           //                                      .rlast
		.hps_0_h2f_lw_axi_master_rvalid              (hps_0_h2f_lw_axi_master_rvalid),          //                                      .rvalid
		.hps_0_h2f_lw_axi_master_rready              (hps_0_h2f_lw_axi_master_rready),          //                                      .rready
		.pll_0_outclk0_clk                           (pll_0_outclk0_clk),                       //                         pll_0_outclk0.clk
		.buttons_0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),          // buttons_0_reset_reset_bridge_in_reset.reset
		.buttons_0_s1_address                        (mm_interconnect_1_buttons_0_s1_address),  //                          buttons_0_s1.address
		.buttons_0_s1_readdata                       (mm_interconnect_1_buttons_0_s1_readdata), //                                      .readdata
		.hex_0_s1_address                            (mm_interconnect_1_hex_0_s1_address),      //                              hex_0_s1.address
		.hex_0_s1_write                              (mm_interconnect_1_hex_0_s1_write),        //                                      .write
		.hex_0_s1_readdata                           (mm_interconnect_1_hex_0_s1_readdata),     //                                      .readdata
		.hex_0_s1_writedata                          (mm_interconnect_1_hex_0_s1_writedata),    //                                      .writedata
		.hex_0_s1_chipselect                         (mm_interconnect_1_hex_0_s1_chipselect),   //                                      .chipselect
		.hex_1_s1_address                            (mm_interconnect_1_hex_1_s1_address),      //                              hex_1_s1.address
		.hex_1_s1_write                              (mm_interconnect_1_hex_1_s1_write),        //                                      .write
		.hex_1_s1_readdata                           (mm_interconnect_1_hex_1_s1_readdata),     //                                      .readdata
		.hex_1_s1_writedata                          (mm_interconnect_1_hex_1_s1_writedata),    //                                      .writedata
		.hex_1_s1_chipselect                         (mm_interconnect_1_hex_1_s1_chipselect),   //                                      .chipselect
		.hex_2_s1_address                            (mm_interconnect_1_hex_2_s1_address),      //                              hex_2_s1.address
		.hex_2_s1_write                              (mm_interconnect_1_hex_2_s1_write),        //                                      .write
		.hex_2_s1_readdata                           (mm_interconnect_1_hex_2_s1_readdata),     //                                      .readdata
		.hex_2_s1_writedata                          (mm_interconnect_1_hex_2_s1_writedata),    //                                      .writedata
		.hex_2_s1_chipselect                         (mm_interconnect_1_hex_2_s1_chipselect),   //                                      .chipselect
		.hex_3_s1_address                            (mm_interconnect_1_hex_3_s1_address),      //                              hex_3_s1.address
		.hex_3_s1_write                              (mm_interconnect_1_hex_3_s1_write),        //                                      .write
		.hex_3_s1_readdata                           (mm_interconnect_1_hex_3_s1_readdata),     //                                      .readdata
		.hex_3_s1_writedata                          (mm_interconnect_1_hex_3_s1_writedata),    //                                      .writedata
		.hex_3_s1_chipselect                         (mm_interconnect_1_hex_3_s1_chipselect),   //                                      .chipselect
		.hex_4_s1_address                            (mm_interconnect_1_hex_4_s1_address),      //                              hex_4_s1.address
		.hex_4_s1_write                              (mm_interconnect_1_hex_4_s1_write),        //                                      .write
		.hex_4_s1_readdata                           (mm_interconnect_1_hex_4_s1_readdata),     //                                      .readdata
		.hex_4_s1_writedata                          (mm_interconnect_1_hex_4_s1_writedata),    //                                      .writedata
		.hex_4_s1_chipselect                         (mm_interconnect_1_hex_4_s1_chipselect),   //                                      .chipselect
		.hex_5_s1_address                            (mm_interconnect_1_hex_5_s1_address),      //                              hex_5_s1.address
		.hex_5_s1_write                              (mm_interconnect_1_hex_5_s1_write),        //                                      .write
		.hex_5_s1_readdata                           (mm_interconnect_1_hex_5_s1_readdata),     //                                      .readdata
		.hex_5_s1_writedata                          (mm_interconnect_1_hex_5_s1_writedata),    //                                      .writedata
		.hex_5_s1_chipselect                         (mm_interconnect_1_hex_5_s1_chipselect)    //                                      .chipselect
	);

	soc_system_irq_mapper irq_mapper (
		.clk           (pll_0_outclk0_clk),                  //       clk.clk
		.reset         (rst_controller_001_reset_out_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           // receiver0.irq
		.sender_irq    (nios2_qsys_0_irq_irq)                //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~hps_0_h2f_reset_reset),         // reset_in0.reset
		.clk            (pll_0_outclk0_clk),              //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.reset_in1      (nios2_qsys_0_debug_reset_request_reset), // reset_in1.reset
		.clk            (pll_0_outclk0_clk),                      //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.reset_in1      (nios2_qsys_0_debug_reset_request_reset), // reset_in1.reset
		.clk            (),                                       //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),     // reset_out.reset
		.reset_req      (),                                       // (terminated)
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.reset_in1      (nios2_qsys_0_debug_reset_request_reset), // reset_in1.reset
		.clk            (pll_0_outclk1_clk),                      //       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset),     // reset_out.reset
		.reset_req      (),                                       // (terminated)
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

endmodule
