--IP Functional Simulation Model
--VERSION_BEGIN 15.1 cbx_mgl 2015:10:21:18:12:49:SJ cbx_simgen 2015:10:21:18:09:23:SJ  VERSION_END


-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

 LIBRARY altera_mf;
 USE altera_mf.altera_mf_components.all;

 LIBRARY sgate;
 USE sgate.sgate_pack.all;

--synthesis_resources = altsyncram 1 lut 28 mux21 11 oper_add 2 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 in_data	:	IN  STD_LOGIC_VECTOR (17 DOWNTO 0);
		 in_ready	:	OUT  STD_LOGIC;
		 in_valid	:	IN  STD_LOGIC;
		 out_data	:	OUT  STD_LOGIC_VECTOR (17 DOWNTO 0);
		 out_ready	:	IN  STD_LOGIC;
		 out_valid	:	OUT  STD_LOGIC;
		 reset	:	IN  STD_LOGIC
	 ); 
 END soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo;

 ARCHITECTURE RTL OF soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_a	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_b	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_data_a	:	STD_LOGIC_VECTOR (17 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b	:	STD_LOGIC_VECTOR (17 DOWNTO 0);
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q	:	STD_LOGIC := '0';
	 SIGNAL  wire_ni_w66w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_full_111q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_131q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nl_w1w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_0_182q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_10_140q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_11_139q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_12_138q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_13_137q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_14_136q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_15_135q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_16_134q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_17_133q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_1_149q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_2_148q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_3_147q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_4_146q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_5_145q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_6_144q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_7_143q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_8_142q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_9_141q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_valid_132q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nlO_w64w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q	:	STD_LOGIC := '0';
	 SIGNAL	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q	:	STD_LOGIC := '0';
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_109m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_110m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_0_79m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_1_78m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_2_77m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_90m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_92m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_97m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_91m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_96m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_98m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_a	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_b	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_a	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_b	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o	:	STD_LOGIC_VECTOR (2 DOWNTO 0);
	 SIGNAL  wire_w_lg_reset49w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w54w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w52w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_88_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_94_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_ready_106_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_0_358_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	wire_gnd <= '0';
	wire_w_lg_reset49w(0) <= NOT reset;
	wire_w54w(0) <= NOT s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout;
	wire_w52w(0) <= NOT s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout;
	in_ready <= wire_nl_w1w(0);
	out_data <= ( soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_17_133q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_16_134q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_15_135q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_14_136q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_13_137q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_12_138q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_11_139q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_10_140q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_9_141q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_8_142q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_7_143q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_6_144q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_5_145q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_4_146q
 & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_3_147q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_2_148q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_1_149q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_0_182q);
	out_valid <= soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_valid_132q;
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_88_dataout <= (s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout AND wire_w52w(0));
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_94_dataout <= (wire_w54w(0) AND s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout);
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_ready_106_dataout <= (out_ready OR wire_nlO_w64w(0));
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_0_358_dataout <= (((NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(0) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q)) AND (NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(1) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q))) AND (NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(2) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q)));
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout <= (s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_ready_106_dataout AND soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_131q);
	s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout <= (in_valid AND wire_nl_w1w(0));
	s_wire_vcc <= '1';
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_a <= ( soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_b <= ( wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_2_77m_dataout & wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_1_78m_dataout & wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_0_79m_dataout);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_data_a <= ( in_data(17 DOWNTO 0));
	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462 :  altsyncram
	  GENERIC MAP (
		ADDRESS_ACLR_A => "NONE",
		ADDRESS_ACLR_B => "NONE",
		ADDRESS_REG_B => "CLOCK0",
		BYTE_SIZE => 8,
		BYTEENA_ACLR_A => "NONE",
		BYTEENA_ACLR_B => "NONE",
		BYTEENA_REG_B => "CLOCK1",
		CLOCK_ENABLE_CORE_A => "USE_INPUT_CLKEN",
		CLOCK_ENABLE_CORE_B => "USE_INPUT_CLKEN",
		CLOCK_ENABLE_INPUT_A => "NORMAL",
		CLOCK_ENABLE_INPUT_B => "NORMAL",
		CLOCK_ENABLE_OUTPUT_A => "NORMAL",
		CLOCK_ENABLE_OUTPUT_B => "NORMAL",
		ECC_PIPELINE_STAGE_ENABLED => "FALSE",
		ENABLE_ECC => "FALSE",
		INDATA_ACLR_A => "NONE",
		INDATA_ACLR_B => "NONE",
		INDATA_REG_B => "CLOCK1",
		INIT_FILE_LAYOUT => "PORT_A",
		INTENDED_DEVICE_FAMILY => "Cyclone V",
		NUMWORDS_A => 8,
		NUMWORDS_B => 8,
		OPERATION_MODE => "DUAL_PORT",
		OUTDATA_ACLR_A => "NONE",
		OUTDATA_ACLR_B => "NONE",
		OUTDATA_REG_A => "UNREGISTERED",
		OUTDATA_REG_B => "UNREGISTERED",
		RAM_BLOCK_TYPE => "AUTO",
		RDCONTROL_ACLR_B => "NONE",
		RDCONTROL_REG_B => "CLOCK1",
		READ_DURING_WRITE_MODE_MIXED_PORTS => "OLD_DATA",
		READ_DURING_WRITE_MODE_PORT_A => "NEW_DATA_NO_NBE_READ",
		READ_DURING_WRITE_MODE_PORT_B => "NEW_DATA_NO_NBE_READ",
		WIDTH_A => 18,
		WIDTH_B => 18,
		WIDTH_BYTEENA_A => 1,
		WIDTH_BYTEENA_B => 1,
		WIDTH_ECCSTATUS => 3,
		WIDTHAD_A => 3,
		WIDTHAD_B => 3,
		WRCONTROL_ACLR_A => "NONE",
		WRCONTROL_ACLR_B => "NONE",
		WRCONTROL_WRADDRESS_REG_B => "CLOCK1",
		lpm_hint => "WIDTH_BYTEENA=1"
	  )
	  PORT MAP ( 
		address_a => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_a,
		address_b => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_address_b,
		clock0 => clk,
		data_a => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_data_a,
		q_b => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b,
		wren_a => s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout
	  );
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q <= '1';
		ELSIF (clk = '1' AND clk'event) THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_97m_dataout;
		END IF;
		if (now = 0 ns) then
			soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q <= '1' after 1 ps;
		end if;
	END PROCESS;
	wire_ni_w66w(0) <= NOT soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_full_111q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_131q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_full_111q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_98m_dataout;
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_131q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_110m_dataout;
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_0_79m_dataout;
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_1_78m_dataout;
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_2_77m_dataout;
		END IF;
	END PROCESS;
	wire_nl_w1w(0) <= NOT soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_full_111q;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_0_182q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_10_140q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_11_139q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_12_138q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_13_137q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_14_136q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_15_135q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_16_134q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_17_133q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_1_149q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_2_148q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_3_147q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_4_146q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_5_145q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_6_144q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_7_143q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_8_142q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_9_141q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_valid_132q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_ready_106_dataout = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_0_182q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(0);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_10_140q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(10);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_11_139q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(11);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_12_138q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(12);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_13_137q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(13);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_14_136q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(14);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_15_135q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(15);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_16_134q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(16);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_17_133q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(17);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_1_149q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(1);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_2_148q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(2);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_3_147q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(3);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_4_146q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(4);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_5_145q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(5);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_6_144q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(6);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_7_143q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(7);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_8_142q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(8);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_payload_9_141q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_altsyncram_mem_462_q_b(9);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_valid_132q <= soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_131q;
			END IF;
		END IF;
	END PROCESS;
	wire_nlO_w64w(0) <= NOT soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_out_valid_132q;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q <= '0';
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_write_68_dataout = '1') THEN
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(0);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(1);
				soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(2);
			END IF;
		END IF;
	END PROCESS;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_109m_dataout <= wire_ni_w66w(0) AND NOT(s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_0_358_dataout);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_110m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_internal_out_valid_109m_dataout WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout = '1'  ELSE wire_ni_w66w(0);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_0_79m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(0) WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout = '1'  ELSE soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_1_78m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(1) WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout = '1'  ELSE soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_mem_rd_ptr_2_77m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o(2) WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_read_66_dataout = '1'  ELSE soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_90m_dataout <= soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q OR s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_0_358_dataout;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_92m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_90m_dataout WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_88_dataout = '1'  ELSE soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_empty_103q;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_97m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_empty_92m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_94_dataout);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_91m_dataout <= soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_full_111q AND NOT(s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_88_dataout);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_96m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_91m_dataout OR (((NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(0) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q)) AND (NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(1) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q))) AND (NOT (wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o(2) XOR soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q)));
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_98m_dataout <= wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_96m_dataout WHEN s_wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_always2_94_dataout = '1'  ELSE wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_next_full_91m_dataout;
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_a <= ( soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_2_82q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_1_83q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_wr_ptr_0_84q);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_b <= ( "0" & "0" & "1");
	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 3,
		width_b => 3,
		width_o => 3
	  )
	  PORT MAP ( 
		a => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_a,
		b => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_b,
		cin => wire_gnd,
		o => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add0_69_o
	  );
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_a <= ( soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_2_85q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_1_86q & soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_rd_ptr_0_102q);
	wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_b <= ( "0" & "0" & "1");
	soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 3,
		width_b => 3,
		width_o => 3
	  )
	  PORT MAP ( 
		a => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_a,
		b => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_b,
		cin => wire_gnd,
		o => wire_soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo_altera_avalon_sc_fifo_sdram_controller_0_s1_agent_rdata_fifo_add1_70_o
	  );

 END RTL; --soc_system_mm_interconnect_0_sdram_controller_0_s1_agent_rdata_fifo
--synopsys translate_on
--VALID FILE
