--IP Functional Simulation Model
--VERSION_BEGIN 15.1 cbx_mgl 2015:10:21:18:12:49:SJ cbx_simgen 2015:10:21:18:09:23:SJ  VERSION_END


-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = mux21 33 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  soc_system_mm_interconnect_1_router IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 sink_data	:	IN  STD_LOGIC_VECTOR (115 DOWNTO 0);
		 sink_endofpacket	:	IN  STD_LOGIC;
		 sink_ready	:	OUT  STD_LOGIC;
		 sink_startofpacket	:	IN  STD_LOGIC;
		 sink_valid	:	IN  STD_LOGIC;
		 src_channel	:	OUT  STD_LOGIC_VECTOR (6 DOWNTO 0);
		 src_data	:	OUT  STD_LOGIC_VECTOR (115 DOWNTO 0);
		 src_endofpacket	:	OUT  STD_LOGIC;
		 src_ready	:	IN  STD_LOGIC;
		 src_startofpacket	:	OUT  STD_LOGIC;
		 src_valid	:	OUT  STD_LOGIC
	 ); 
 END soc_system_mm_interconnect_1_router;

 ARCHITECTURE RTL OF soc_system_mm_interconnect_1_router IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_25m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_26m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_36m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_37m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_38m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_47m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_48m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_49m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_50m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_58m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_59m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_60m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_61m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_62m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_70m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_71m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_72m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_73m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_74m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_channel_75m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_33m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_34m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_44m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_45m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_54m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_55m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_56m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_65m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_66m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_67m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_77m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_78m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_src_data_79m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_w_lg_w_lg_w_lg_w_sink_data_range4w5w7w9w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_w_sink_data_range4w5w7w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range4w357w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range3w10w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w1w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w2w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range4w5w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range6w356w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_src_channel_1_354_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout :	STD_LOGIC;
	 SIGNAL  wire_w_sink_data_range4w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range6w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range8w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range3w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_w_lg_w_lg_w_lg_w_sink_data_range4w5w7w9w(0) <= wire_w_lg_w_lg_w_sink_data_range4w5w7w(0) AND wire_w_sink_data_range8w(0);
	wire_w_lg_w_lg_w_sink_data_range4w5w7w(0) <= wire_w_lg_w_sink_data_range4w5w(0) AND wire_w_sink_data_range6w(0);
	wire_w_lg_w_sink_data_range4w357w(0) <= wire_w_sink_data_range4w(0) AND wire_w_lg_w_sink_data_range6w356w(0);
	wire_w_lg_w_sink_data_range3w10w(0) <= wire_w_sink_data_range3w(0) AND wire_w_lg_w_lg_w_lg_w_sink_data_range4w5w7w9w(0);
	wire_w1w(0) <= NOT s_wire_soc_system_mm_interconnect_1_router_src_channel_1_354_dataout;
	wire_w2w(0) <= NOT s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout;
	wire_w_lg_w_sink_data_range4w5w(0) <= NOT wire_w_sink_data_range4w(0);
	wire_w_lg_w_sink_data_range6w356w(0) <= NOT wire_w_sink_data_range6w(0);
	s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout <= wire_w_lg_w_sink_data_range3w10w(0);
	s_wire_soc_system_mm_interconnect_1_router_src_channel_1_354_dataout <= (wire_w_lg_w_sink_data_range4w357w(0) AND (NOT sink_data(42)));
	s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout <= (wire_w_lg_w_lg_w_sink_data_range4w5w7w(0) AND (NOT sink_data(42)));
	s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout <= ((sink_data(40) AND sink_data(41)) AND (NOT sink_data(42)));
	s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout <= ((wire_w_lg_w_sink_data_range4w5w(0) AND wire_w_lg_w_sink_data_range6w356w(0)) AND sink_data(42));
	s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout <= (wire_w_lg_w_sink_data_range4w357w(0) AND sink_data(42));
	sink_ready <= src_ready;
	src_channel <= ( wire_soc_system_mm_interconnect_1_router_src_channel_70m_dataout & wire_soc_system_mm_interconnect_1_router_src_channel_71m_dataout & wire_soc_system_mm_interconnect_1_router_src_channel_72m_dataout & wire_soc_system_mm_interconnect_1_router_src_channel_73m_dataout & wire_soc_system_mm_interconnect_1_router_src_channel_74m_dataout & wire_soc_system_mm_interconnect_1_router_src_channel_75m_dataout & s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	src_data <= ( sink_data(115 DOWNTO 92) & wire_soc_system_mm_interconnect_1_router_src_data_77m_dataout & wire_soc_system_mm_interconnect_1_router_src_data_78m_dataout & wire_soc_system_mm_interconnect_1_router_src_data_79m_dataout & sink_data(88 DOWNTO 0));
	src_endofpacket <= sink_endofpacket;
	src_startofpacket <= sink_startofpacket;
	src_valid <= sink_valid;
	wire_w_sink_data_range4w(0) <= sink_data(40);
	wire_w_sink_data_range6w(0) <= sink_data(41);
	wire_w_sink_data_range8w(0) <= sink_data(42);
	wire_w_sink_data_range3w(0) <= sink_data(60);
	wire_soc_system_mm_interconnect_1_router_src_channel_25m_dataout <= wire_w1w(0) AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_26m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_1_354_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_36m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_25m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_37m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_26m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_38m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_47m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_36m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_48m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_37m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_49m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_38m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_50m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_58m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_47m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_59m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_48m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_60m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_49m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_61m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_50m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_62m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_70m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_58m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_71m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_59m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_72m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_60m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_73m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_61m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_74m_dataout <= wire_soc_system_mm_interconnect_1_router_src_channel_62m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_channel_75m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_33m_dataout <= wire_w1w(0) AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_34m_dataout <= s_wire_soc_system_mm_interconnect_1_router_src_channel_1_354_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_2_362_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_44m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_33m_dataout OR s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout;
	wire_soc_system_mm_interconnect_1_router_src_data_45m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_34m_dataout OR s_wire_soc_system_mm_interconnect_1_router_src_channel_3_370_dataout;
	wire_soc_system_mm_interconnect_1_router_src_data_54m_dataout <= wire_w2w(0) AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_55m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_44m_dataout OR s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout;
	wire_soc_system_mm_interconnect_1_router_src_data_56m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_45m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_4_378_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_65m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_54m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_66m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_55m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_67m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_56m_dataout OR s_wire_soc_system_mm_interconnect_1_router_src_channel_5_386_dataout;
	wire_soc_system_mm_interconnect_1_router_src_data_77m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_65m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_78m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_66m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);
	wire_soc_system_mm_interconnect_1_router_src_data_79m_dataout <= wire_soc_system_mm_interconnect_1_router_src_data_67m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_always1_69_dataout);

 END RTL; --soc_system_mm_interconnect_1_router
--synopsys translate_on
--VALID FILE
