--IP Functional Simulation Model
--VERSION_BEGIN 15.1 cbx_mgl 2015:10:21:18:12:49:SJ cbx_simgen 2015:10:21:18:09:23:SJ  VERSION_END


-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = mux21 24 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  soc_system_mm_interconnect_0_router IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 sink_data	:	IN  STD_LOGIC_VECTOR (103 DOWNTO 0);
		 sink_endofpacket	:	IN  STD_LOGIC;
		 sink_ready	:	OUT  STD_LOGIC;
		 sink_startofpacket	:	IN  STD_LOGIC;
		 sink_valid	:	IN  STD_LOGIC;
		 src_channel	:	OUT  STD_LOGIC_VECTOR (5 DOWNTO 0);
		 src_data	:	OUT  STD_LOGIC_VECTOR (103 DOWNTO 0);
		 src_endofpacket	:	OUT  STD_LOGIC;
		 src_ready	:	IN  STD_LOGIC;
		 src_startofpacket	:	OUT  STD_LOGIC;
		 src_valid	:	OUT  STD_LOGIC
	 ); 
 END soc_system_mm_interconnect_0_router;

 ARCHITECTURE RTL OF soc_system_mm_interconnect_0_router IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_26m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_27m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_34m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_36m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_37m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_45m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_46m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_47m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_48m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_55m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_56m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_57m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_58m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_channel_59m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_32m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_40m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_41m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_42m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_51m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_52m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_53m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_61m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_62m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_0_router_src_data_63m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_w_lg_w_sink_data_range123w427w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range126w379w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range147w318w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w4w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w3w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range126w348w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range129w349w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_sink_data_range150w317w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_always1_0_383_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_always1_1_441_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_src_channel_1_354_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout :	STD_LOGIC;
	 SIGNAL  wire_w_sink_data_range123w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range126w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range129w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range147w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink_data_range150w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_w_lg_w_sink_data_range123w427w(0) <= wire_w_sink_data_range123w(0) AND wire_w_lg_w_sink_data_range126w348w(0);
	wire_w_lg_w_sink_data_range126w379w(0) <= wire_w_sink_data_range126w(0) AND wire_w_lg_w_sink_data_range129w349w(0);
	wire_w_lg_w_sink_data_range147w318w(0) <= wire_w_sink_data_range147w(0) AND wire_w_lg_w_sink_data_range150w317w(0);
	wire_w4w(0) <= NOT s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout;
	wire_w3w(0) <= NOT s_wire_soc_system_mm_interconnect_0_router_src_channel_1_354_dataout;
	wire_w_lg_w_sink_data_range126w348w(0) <= NOT wire_w_sink_data_range126w(0);
	wire_w_lg_w_sink_data_range129w349w(0) <= NOT wire_w_sink_data_range129w(0);
	wire_w_lg_w_sink_data_range150w317w(0) <= NOT wire_w_sink_data_range150w(0);
	s_wire_soc_system_mm_interconnect_0_router_always1_0_383_dataout <= (((((((((((((((((((((((wire_w_lg_w_sink_data_range126w348w(0) AND wire_w_lg_w_sink_data_range129w349w(0)) AND (NOT sink_data(42))) AND (NOT sink_data(43))) AND (NOT sink_data(44))) AND (NOT sink_data(45))) AND (NOT sink_data(46))) AND (NOT sink_data(47))) AND sink_data(48)) AND (NOT sink_data(49))) AND (NOT sink_data(50))) AND (NOT sink_data(51))) AND (NOT sink_data(52))) AND (NOT sink_data(53))) AND (NOT sink_data(54))) AND (NOT sink_data(55))) AND (NOT sink_data(56))) AND (NOT sink_data(57))) AND (NOT sink_data(58))) AND (NOT sink_data(59))) AND (NOT sink_data(60))) AND (NOT sink_data(61))) AND (NOT sink_data(62))) AND sink_data(63));
	s_wire_soc_system_mm_interconnect_0_router_always1_1_441_dataout <= (((((((((((((((((((((((((NOT sink_data(39)) AND wire_w_lg_w_sink_data_range126w348w(0)) AND sink_data(41)) AND (NOT sink_data(42))) AND (NOT sink_data(43))) AND (NOT sink_data(44))) AND (NOT sink_data(45))) AND (NOT sink_data(46))) AND (NOT sink_data(47))) AND sink_data(48)) AND (NOT sink_data(49))) AND (NOT sink_data(50))) AND (NOT sink_data(51))) AND (NOT sink_data(52))) AND (NOT sink_data(53))) AND (NOT sink_data(54))) AND (NOT sink_data(55))) AND (NOT sink_data(56))) AND (NOT sink_data(57))) AND (NOT sink_data(58))) AND (NOT sink_data(59))) AND (NOT sink_data(60))) AND (NOT sink_data(61))) AND (NOT sink_data(62))) AND sink_data(63));
	s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout <= (sink_data(67) AND s_wire_soc_system_mm_interconnect_0_router_always1_0_383_dataout);
	s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout <= (sink_data(67) AND s_wire_soc_system_mm_interconnect_0_router_always1_1_441_dataout);
	s_wire_soc_system_mm_interconnect_0_router_src_channel_1_354_dataout <= (((((((((((((((wire_w_lg_w_sink_data_range147w318w(0) AND (NOT sink_data(49))) AND (NOT sink_data(50))) AND (NOT sink_data(51))) AND (NOT sink_data(52))) AND (NOT sink_data(53))) AND (NOT sink_data(54))) AND (NOT sink_data(55))) AND (NOT sink_data(56))) AND (NOT sink_data(57))) AND (NOT sink_data(58))) AND (NOT sink_data(59))) AND (NOT sink_data(60))) AND (NOT sink_data(61))) AND (NOT sink_data(62))) AND sink_data(63));
	s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout <= ((((((((((((((((((((((wire_w_lg_w_sink_data_range126w379w(0) AND (NOT sink_data(42))) AND (NOT sink_data(43))) AND (NOT sink_data(44))) AND (NOT sink_data(45))) AND (NOT sink_data(46))) AND (NOT sink_data(47))) AND sink_data(48)) AND (NOT sink_data(49))) AND (NOT sink_data(50))) AND (NOT sink_data(51))) AND (NOT sink_data(52))) AND (NOT sink_data(53))) AND (NOT sink_data(54))) AND (NOT sink_data(55))) AND (NOT sink_data(56))) AND (NOT sink_data(57))) AND (NOT sink_data(58))) AND (NOT sink_data(59))) AND (NOT sink_data(60))) AND (NOT sink_data(61))) AND (NOT sink_data(62))) AND sink_data(63));
	s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout <= (((((((((((((((((((((((wire_w_lg_w_sink_data_range123w427w(0) AND sink_data(41)) AND (NOT sink_data(42))) AND (NOT sink_data(43))) AND (NOT sink_data(44))) AND (NOT sink_data(45))) AND (NOT sink_data(46))) AND (NOT sink_data(47))) AND sink_data(48)) AND (NOT sink_data(49))) AND (NOT sink_data(50))) AND (NOT sink_data(51))) AND (NOT sink_data(52))) AND (NOT sink_data(53))) AND (NOT sink_data(54))) AND (NOT sink_data(55))) AND (NOT sink_data(56))) AND (NOT sink_data(57))) AND (NOT sink_data(58))) AND (NOT sink_data(59))) AND (NOT sink_data(60))) AND (NOT sink_data(61))) AND (NOT sink_data(62))) AND sink_data(63));
	sink_ready <= src_ready;
	src_channel <= ( wire_soc_system_mm_interconnect_0_router_src_channel_55m_dataout & wire_soc_system_mm_interconnect_0_router_src_channel_56m_dataout & wire_soc_system_mm_interconnect_0_router_src_channel_57m_dataout & wire_soc_system_mm_interconnect_0_router_src_channel_58m_dataout & wire_soc_system_mm_interconnect_0_router_src_channel_59m_dataout & s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	src_data <= ( sink_data(103 DOWNTO 91) & wire_soc_system_mm_interconnect_0_router_src_data_61m_dataout & wire_soc_system_mm_interconnect_0_router_src_data_62m_dataout & wire_soc_system_mm_interconnect_0_router_src_data_63m_dataout & sink_data(87 DOWNTO 0));
	src_endofpacket <= sink_endofpacket;
	src_startofpacket <= sink_startofpacket;
	src_valid <= sink_valid;
	wire_w_sink_data_range123w(0) <= sink_data(39);
	wire_w_sink_data_range126w(0) <= sink_data(40);
	wire_w_sink_data_range129w(0) <= sink_data(41);
	wire_w_sink_data_range147w(0) <= sink_data(47);
	wire_w_sink_data_range150w(0) <= sink_data(48);
	wire_soc_system_mm_interconnect_0_router_src_channel_26m_dataout <= wire_w3w(0) AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_27m_dataout <= s_wire_soc_system_mm_interconnect_0_router_src_channel_1_354_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_34m_dataout <= s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_36m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_26m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_37m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_27m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_45m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_34m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_46m_dataout <= s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_47m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_36m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_48m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_37m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_55m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_45m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_56m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_46m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_57m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_47m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_58m_dataout <= wire_soc_system_mm_interconnect_0_router_src_channel_48m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_channel_59m_dataout <= s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_32m_dataout <= wire_w3w(0) AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_40m_dataout <= s_wire_soc_system_mm_interconnect_0_router_always1_23_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_41m_dataout <= wire_w4w(0) AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_42m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_32m_dataout OR s_wire_soc_system_mm_interconnect_0_router_src_channel_2_412_dataout;
	wire_soc_system_mm_interconnect_0_router_src_data_51m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_40m_dataout OR s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout;
	wire_soc_system_mm_interconnect_0_router_src_data_52m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_41m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_53m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_42m_dataout OR s_wire_soc_system_mm_interconnect_0_router_always1_44_dataout;
	wire_soc_system_mm_interconnect_0_router_src_data_61m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_51m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_62m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_52m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);
	wire_soc_system_mm_interconnect_0_router_src_data_63m_dataout <= wire_soc_system_mm_interconnect_0_router_src_data_53m_dataout AND NOT(s_wire_soc_system_mm_interconnect_0_router_src_channel_3_470_dataout);

 END RTL; --soc_system_mm_interconnect_0_router
--synopsys translate_on
--VALID FILE
