--IP Functional Simulation Model
--VERSION_BEGIN 15.1 cbx_mgl 2015:10:21:18:12:49:SJ cbx_simgen 2015:10:21:18:09:23:SJ  VERSION_END


-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = mux21 4 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  soc_system_mm_interconnect_1_router_002 IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 sink_data	:	IN  STD_LOGIC_VECTOR (115 DOWNTO 0);
		 sink_endofpacket	:	IN  STD_LOGIC;
		 sink_ready	:	OUT  STD_LOGIC;
		 sink_startofpacket	:	IN  STD_LOGIC;
		 sink_valid	:	IN  STD_LOGIC;
		 src_channel	:	OUT  STD_LOGIC_VECTOR (6 DOWNTO 0);
		 src_data	:	OUT  STD_LOGIC_VECTOR (115 DOWNTO 0);
		 src_endofpacket	:	OUT  STD_LOGIC;
		 src_ready	:	IN  STD_LOGIC;
		 src_startofpacket	:	OUT  STD_LOGIC;
		 src_valid	:	OUT  STD_LOGIC
	 ); 
 END soc_system_mm_interconnect_1_router_002;

 ARCHITECTURE RTL OF soc_system_mm_interconnect_1_router_002 IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_002_src_channel_16m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_002_src_channel_17m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_002_src_channel_24m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_soc_system_mm_interconnect_1_router_002_src_channel_25m_dataout	:	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_002_always0_0_321_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_002_always0_10_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_soc_system_mm_interconnect_1_router_002_always0_18_dataout :	STD_LOGIC;
 BEGIN

	s_wire_soc_system_mm_interconnect_1_router_002_always0_0_321_dataout <= (((NOT sink_data(89)) AND (NOT sink_data(90))) AND (NOT sink_data(91)));
	s_wire_soc_system_mm_interconnect_1_router_002_always0_10_dataout <= (sink_data(59) AND s_wire_soc_system_mm_interconnect_1_router_002_always0_0_321_dataout);
	s_wire_soc_system_mm_interconnect_1_router_002_always0_18_dataout <= (sink_data(60) AND s_wire_soc_system_mm_interconnect_1_router_002_always0_0_321_dataout);
	sink_ready <= src_ready;
	src_channel <= ( "0" & "0" & "0" & "0" & "0" & wire_soc_system_mm_interconnect_1_router_002_src_channel_24m_dataout & wire_soc_system_mm_interconnect_1_router_002_src_channel_25m_dataout);
	src_data <= ( sink_data(115 DOWNTO 0));
	src_endofpacket <= sink_endofpacket;
	src_startofpacket <= sink_startofpacket;
	src_valid <= sink_valid;
	wire_soc_system_mm_interconnect_1_router_002_src_channel_16m_dataout <= (NOT sink_data(59)) AND NOT(s_wire_soc_system_mm_interconnect_1_router_002_always0_10_dataout);
	wire_soc_system_mm_interconnect_1_router_002_src_channel_17m_dataout <= sink_data(59) OR s_wire_soc_system_mm_interconnect_1_router_002_always0_10_dataout;
	wire_soc_system_mm_interconnect_1_router_002_src_channel_24m_dataout <= wire_soc_system_mm_interconnect_1_router_002_src_channel_16m_dataout OR s_wire_soc_system_mm_interconnect_1_router_002_always0_18_dataout;
	wire_soc_system_mm_interconnect_1_router_002_src_channel_25m_dataout <= wire_soc_system_mm_interconnect_1_router_002_src_channel_17m_dataout AND NOT(s_wire_soc_system_mm_interconnect_1_router_002_always0_18_dataout);

 END RTL; --soc_system_mm_interconnect_1_router_002
--synopsys translate_on
--VALID FILE
